dev-libs/libpqxx: Remove 6.0.0
authorAaron W. Swenson <titanofold@gentoo.org>
Mon, 5 Aug 2019 09:49:30 +0000 (05:49 -0400)
committerAaron W. Swenson <titanofold@gentoo.org>
Mon, 5 Aug 2019 09:49:36 +0000 (05:49 -0400)
Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>
dev-libs/libpqxx/Manifest
dev-libs/libpqxx/libpqxx-6.0.0.ebuild [deleted file]

index 53c788a6c84caddcf728fe320711968bc4ef314c..5c138ba7ab34b0aabe9b281b4dfc747e9dd4dd44 100644 (file)
@@ -1,2 +1 @@
-DIST libpqxx-6.0.0.tar.gz 676528 BLAKE2B a40095ba9851acde1296d93af7e4c4414f334a734b5062874b63a146836105fdde24672707caf623f2073dc1caf87b1053f25c80b10c3fa779fc91a52f9ec7ae SHA512 f237cc03c01a8262eee44a9428206c1cc11b6034dddf540afef145f58eee5c32b880d84832563480d73d834c24311170e2ef6789e100793afbe0b6e393bd4169
 DIST libpqxx-6.4.5.tar.gz 715081 BLAKE2B 4f1356dc5fc9baddd8fdea6095541f4d90657ef0211edec7796ddd3693933b8d37d5bb14e19249a2e4627b85aef11c582b0ffac0226c8e99a70af1d2b0396e5c SHA512 b6f79c4af93876eaf859626c2deae3b23bd4fa1a438390bc01513ccc48b90565d59588f6977e7475bb7b8dbeb8b1c8ef2a4737d8eb4d15682531fbf78590ed5e
diff --git a/dev-libs/libpqxx/libpqxx-6.0.0.ebuild b/dev-libs/libpqxx/libpqxx-6.0.0.ebuild
deleted file mode 100644 (file)
index 6f10efc..0000000
+++ /dev/null
@@ -1,86 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-PYTHON_COMPAT=( python2_7 )
-inherit python-any-r1
-
-KEYWORDS="alpha amd64 ~hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd"
-
-DESCRIPTION="Standard front-end for writing C++ programs that use PostgreSQL"
-SRC_URI="https://github.com/jtv/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-HOMEPAGE="http://pqxx.org/development/libpqxx/"
-LICENSE="BSD"
-SLOT="0"
-IUSE="doc static-libs"
-
-RDEPEND="dev-db/postgresql:="
-DEPEND="${RDEPEND}
-       ${PYTHON_DEPS}
-       doc? (
-               app-doc/doxygen
-               app-text/xmlto
-       )
-"
-
-DOCS=( AUTHORS NEWS README{.md,-UPGRADE} )
-
-src_prepare() {
-       default
-
-       sed -e 's/python/python2/' \
-               -i tools/{splitconfig,template2mak.py} \
-               || die "Couldn't fix Python shebangs"
-}
-
-src_configure() {
-       econf \
-               --enable-shared \
-               $(use_enable doc documentation) \
-               $(use_enable static-libs static)
-}
-
-src_test() {
-       einfo "The tests need a running PostgreSQL server and an existing database."
-       einfo "Test requires PGDATABASE and PGUSER to be set at a minimum. Optionally,"
-       einfo "set PGPORT and PGHOST. Define them at the command line or in:"
-       einfo "    ${EROOT%/}/etc/libpqxx_test_env"
-
-       if [[ -z $PGDATABASE || -z $PGUSER ]] ; then
-               if [[ -f ${EROOT%/}/etc/libpqxx_test_env ]] ; then
-                       source "${EROOT%/}/etc/libpqxx_test_env"
-                       [[ -n $PGDATABASE ]] && export PGDATABASE
-                       [[ -n $PGHOST ]] && export PGHOST
-                       [[ -n $PGPORT ]] && export PGPORT
-                       [[ -n $PGUSER ]] && export PGUSER
-               fi
-       fi
-
-       if [[ -n $PGDATABASE && -n $PGUSER ]] ; then
-               local server_version
-               server_version=$(psql -Aqtc 'SELECT version();' 2> /dev/null)
-               if [[ $? = 0 ]] ; then
-                       cd "${S}/test" || die
-                       emake check
-               else
-                       eerror "Is the server running?"
-                       eerror "Verify role and database exist, and are permitted in pg_hba.conf for:"
-                       eerror "    Role: ${PGUSER}"
-                       eerror "    Database: ${PGDATABASE}"
-                       die "Couldn't connect to server."
-               fi
-       else
-               eerror "PGDATABASE and PGUSER must be set to perform tests."
-               eerror "Skipping tests."
-       fi
-}
-
-src_install () {
-       use doc && HTML_DOCS=( doc/html/. )
-       default
-
-       if ! use static-libs; then
-               find "${D}" -name '*.la' -delete || die
-       fi
-}